#!/usr/bin/env python
import io

from setuptools import find_packages, setup


readme = io.open('README.md', 'r', encoding='utf-8').read()

setup(
    name='story-http',
    description='The HTTP Gateway of the Storyscript platform',
    long_description=readme,
    long_description_content_type='text/markdown',
    author='Storyscript',
    author_email='noreply@storyscript.io',
    version='0.2.0',
    packages=find_packages(),
    tests_require=[
        'pytest==4.2.0',
        'pytest-cov==2.6.1',
        'pytest-mock==1.10.1',
        'pytest-asyncio==0.10.0'
    ],
    setup_requires=['pytest-runner'],
    python_requires='>=3.7',
    install_requires=[
        'tornado==5.0.2',
        'raven==6.9.0',
        'ujson==1.35',
        'pycurl==7.43',
    ],
    classifiers=[
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3'
    ],
)
